--- old/usr/src/cmd/sendmail/db/Makefile	Mon Aug 28 15:08:08 2017
+++ new/usr/src/cmd/sendmail/db/Makefile	Mon Aug 28 15:08:08 2017
@@ -20,11 +20,10 @@
 #
 
 #
+# Copyright 2017 Gary Mills
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/sendmail/db/Makefile
 #
 
@@ -58,6 +57,68 @@
 
 libdb=	libdb.a
 
+# Suppress errors for: flags info notused1 notused2 notused3
+bt_cursor.o \
+    bt_rec.o \
+    btree_auto.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: isdeleted dbp t ch i
+bt_recno.o \
+    bt_stat.o \
+    btree_auto.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress errors for: notused1 notused2 notused3 pg dbenv info logp redo
+#     key data flags
+db_auto.o \
+    db_conv.o \
+    db_join.o \
+    db_dispatch.o \
+    db_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: ret ch i save_indx grow_region
+db_am.o \
+    db_auto.o \
+    db_dup.o \
+    db_join.o \
+    db_region.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress errors for: key
+dbm.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: dbp notused1 notused2 notused3 info spp db_malloc flags
+hash.o \
+    hash_auto.o \
+    hash_rec.o \
+    hash_stat.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: ch i mpf
+hash_auto.o \
+    hash_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress error for: flags
+lock.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: notused1 notused2 notused3 lsnp info
+log_auto.o \
+    log_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: off fd
+mutex.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress error for: path
+os_map.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress errors for: notused1 notused2 notused3 logp redo
+txn_auto.o \
+    txn_rec.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress error for: locker ch i
+txn.o \
+    txn_auto.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-variable
+# Suppress errors for: xa_info handle retval rmid flags fdp
+xa.o \
+    xa_db.o := \
+    CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+# Suppress error for: xid
+xa_map.o := CERRWARN += -_gcc=-Wno-unused-but-set-parameter
+
 .KEEP_STATE:
 all: $(libdb)
 
